> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 利用状況メトリクス

> Enterprise のセッション数、検索数、PR 数といった利用状況メトリクスを取得します

Enterprise 管理者の個人用 APIキーが必要です。

指定した期間内の Enterprise におけるセッション数、検索数、PR 数などの利用状況メトリクスを返します。

<Note>
  [GitHub app integration](/ja/integrations/gh) のみが、PR およびそのステータスに関する十分に補完された統計情報を正しく提供します。[GitLab on-premise](/ja/integrations/gitlab) のインストール環境では、MR のステータス同期は 1 日に 1 回のみ行われるため、一時的にステータスが正確に反映されない場合があります。
</Note>


## OpenAPI

````yaml ja/v2-openapi.yaml GET /v2/enterprise/metrics/usage
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/metrics/usage:
    get:
      tags:
        - metrics
      summary: Enterprise 利用状況メトリクス用エンドポイント
      operationId: enterprise_usage_metrics_endpoint_v2_enterprise_metrics_usage_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
        - in: query
          name: user_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: User Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageMetrics'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    UsageMetrics:
      properties:
        prs_closed:
          title: Prs Closed
          type: integer
        prs_merged:
          title: Prs Merged
          type: integer
        prs_opened:
          title: Prs Opened
          type: integer
        searches_count:
          title: Searches Count
          type: integer
        sessions_count:
          title: Sessions Count
          type: integer
      required:
        - sessions_count
        - searches_count
        - prs_opened
        - prs_closed
        - prs_merged
      title: UsageMetrics
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````